Page MenuHomePhabricator

With product teams: begin software architecture consolidation
Closed, ResolvedPublic

Description

Q4 goal as stated in BUOD update deck: "With product teams: begin software architecture consolidation."

This 'beginning' has been realized as advance planning and consultation with product teams to prepare for the launch of a data engineering program in Q1 2019/2020 that will carry out the software architecture consolidation.

Joint Consultations

  • Present draft roadmap, architecture vision, planned deliverables

Individual Consultations

  • Growth: GrowthExperiments MediaWiki extension
  • Readers Web: WikimediaEvents MediaWiki extension
  • Readers Web: ReadingDepth EventLogging schema
  • Android: Instrumentation architecture and stewardship
  • Android: EventLoggingService.java and various funnels
  • iOS: Instrumentation architecture and stewardship
  • iOS: EventLoggingService.swift and various funnels
  • Editing: Instrumentation strategy and software review

Event Timeline

jlinehan updated the task description. (Show Details)Jun 6 2019, 4:22 PM
kzimmerman triaged this task as Normal priority.Jun 19 2019, 10:47 PM
jlinehan moved this task from Development to Done on the Better Use Of Data board.Jul 16 2019, 5:23 PM
jlinehan moved this task from Done to To Do on the Better Use Of Data board.Jul 16 2019, 5:26 PM
jlinehan closed this task as Resolved.Jul 17 2019, 2:56 PM
jlinehan updated the task description. (Show Details)